
package de.csw.ludum.dare.ld23.graphic.objects;

import de.csw.ludum.dare.ld23.GameScreen;
import de.csw.ludum.dare.ld23.graphic.Renderable;
import de.csw.ludum.dare.ld23.level.Level;

public class DecoRenderables extends Renderable {

  private final DecoRenderable crashSite;

  public DecoRenderables() {
    crashSite = new DecoRenderable(750, 750, "/deco/crash.png", 14, 20, 18);
  }

  @Override
  public void renderMe(GameScreen screen, Level level, Hero hero) {
    crashSite.renderMe(screen, level, hero);
  }

  public void tick() {
    crashSite.tick();
  }

}
