
package de.csw.ludum.dare.ld23.util;

public class Vector2D {

  public float x;

  public float y;

  public Vector2D(float x, float y) {
    this.x = x;
    this.y = y;
  }

  public static double skalarproduct(Vector2D a, Vector2D b) {
    return a.x * b.x + a.y * b.y;
  }

  public float absolute() {
    return (float) Math.sqrt(x * x + y * y);
  }

  public float sqrAbsolute() {
    return x * x + y * y;
  }

  public void normalize() {
    float magnitude = absolute();
    x = x / magnitude;
    y = y / magnitude;
  }
}
