
package de.csw.ludum.dare.ld23.graphic;

import java.awt.Rectangle;

import de.csw.ludum.dare.ld23.GameOptions;
import de.csw.ludum.dare.ld23.GameScreen;
import de.csw.ludum.dare.ld23.graphic.objects.Hero;
import de.csw.ludum.dare.ld23.level.Level;
import de.csw.ludum.dare.ld23.util.BitmapLine;

public abstract class Renderable {

  public abstract void renderMe(GameScreen screen, Level level, Hero hero);

  protected void drawBoundarys(GameScreen screen, int blitToX, int blitToY, Rectangle rectangle) {
    if (GameOptions.SHOW_BOUNDING) {
      BitmapLine.drawRectangle(screen, rectangle.x + blitToX, rectangle.y + blitToY, rectangle.x + rectangle.width + blitToX, rectangle.y
          + rectangle.height + blitToY, 0xFFFF0000);
    }
  }
}
