
package de.csw.ludum.dare.ld23.graphic.fonts;

import de.csw.ludum.dare.ld23.graphic.Bitmap;
import de.csw.ludum.dare.ld23.graphic.ImageLoader;
import de.csw.ludum.dare.ld23.graphic.Sprite;

public class BitmapFont2 {

  public static String letters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ ";

  public static Sprite font    = ImageLoader.loadSprite("/fonts/font2.png", 24, 28);

  private BitmapFont2() {
  }

  public static void draw(Bitmap screen, String msg, int x, int y) {
    msg = msg.toUpperCase();
    int length = msg.length();
    for (int i = 0; i < length; i++) {
      int c = letters.indexOf(msg.charAt(i));
      if (c < 0) {
        continue;
      }
      screen.blit(font.getBitmapDirect(c % 29, c / 29), x, y);
      x += 24;
    }
  }
}
