
package de.csw.ludum.dare.ld23.graphic.objects;

import de.csw.ludum.dare.ld23.GameScreen;
import de.csw.ludum.dare.ld23.graphic.Bitmap;
import de.csw.ludum.dare.ld23.graphic.ImageLoader;

public class BackGroundB implements Renderable {

  public double        offsetX = 0;

  private final Bitmap bitmap;

  public BackGroundB() {
    bitmap = ImageLoader.loadBitmap("/background_b.png");
  }

  @Override
  public void renderMe(GameScreen screen) {

    if (offsetX > 0) {
      screen.blit(bitmap, (int) offsetX - bitmap.width, 0);
    }

    screen.blit(bitmap, (int) offsetX, 0);

    if (bitmap.width + offsetX < screen.width) {
      screen.blit(bitmap, (int) offsetX + bitmap.width, 0);
    }

    if (offsetX > bitmap.width * 2) {
      offsetX = 0;
    }
  }
}
