
package de.csw.ludum.dare.ld23.util;

import de.csw.ludum.dare.ld23.graphic.Bitmap;

public class BitmapFill {

  private static final int SIZE_OF_ARGB = 4;

  //  public static void fillRectangle(Bitmap bmp, int x1, int y1, int x2, int y2, CheapColor color) {
  //    // Add one to use mul and cheap bit shift for multiplicaltion
  //    byte a2 = color.getA();
  //    byte a = (byte) (color.getA() + 1);
  //    byte col = (color.getA() << 24) | ((byte) ((color.getR() * a) >> 8) << 16) | ((byte) ((color.getG() * a) >> 8) << 8)
  //        | ((byte) ((color.getB() * a) >> 8));
  //    bmp.fillRectangle(x1, y1, x2, y2, col);
  //  }

  public static void fillRectangle(Bitmap bmp, int x, int y, int bw, int bh, CheapColor color) {
    fillRectangle(bmp, x, y, bw, bh, color.colorIntValue);
  }

  public static void fillRectangle(Bitmap bmp, int x, int y, int bw, int bh, int color) {
    int x0 = x;
    int x1 = x + bw;
    int y0 = y;
    int y1 = y + bh;
    if (x0 < 0) x0 = 0;
    if (y0 < 0) y0 = 0;
    if (x1 > bmp.width) x1 = bmp.width;
    if (y1 > bmp.height) y1 = bmp.height;
    int ww = x1 - x0;

    for (int yy = y0; yy < y1; yy++) {
      int tp = yy * bmp.width + x0;
      for (int xx = 0; xx < ww; xx++) {
        bmp.pixels[tp + xx] = color;
      }
    }
  }

  //  public static void FillRectangle(Bitmap bmp, int x1, int y1, int x2, int y2, CheapColor cheapColor) {
  //
  //    int color = Color.GREEN.getRGB();
  //
  //    // Use refs for faster access (really important!) speeds up a lot!
  //    int w = bmp.width;
  //    int h = bmp.height;
  //
  //    // Check boundaries
  //    if ((x1 < 0 && x2 < 0) || (y1 < 0 && y2 < 0) || (x1 >= w && x2 >= w) || (y1 >= h && y2 >= h)) {
  //      return;
  //    }
  //
  //    // Clamp boundaries
  //    if (x1 < 0) {
  //      x1 = 0;
  //    }
  //    if (y1 < 0) {
  //      y1 = 0;
  //    }
  //    if (x2 < 0) {
  //      x2 = 0;
  //    }
  //    if (y2 < 0) {
  //      y2 = 0;
  //    }
  //    if (x1 > w) {
  //      x1 = w;
  //    }
  //    if (y1 > h) {
  //      y1 = h;
  //    }
  //    if (x2 > w) {
  //      x2 = w;
  //    }
  //    if (y2 > h) {
  //      y2 = h;
  //    }
  //
  //    // Fill first line
  //    int startY = y1 * w;
  //    int startYPlusX1 = startY + x1;
  //    int endOffset = startY + x2;
  //    for (int x = startYPlusX1; x < endOffset; x++) {
  //      bmp.pixels[x] = color;
  //    }
  //
  //    // Copy first line
  //    int len = (x2 - x1) * SIZE_OF_ARGB;
  //    int srcOffsetBytes = startYPlusX1 * SIZE_OF_ARGB;
  //    int offset2 = y2 * w + x1;
  //    //    for (int y = startYPlusX1 + w; y < offset2; y += w) {
  //    //      bmp.unsafeBlockCopy(srcOffsetBytes, bmp.pixels, y * SIZE_OF_ARGB, len);
  //    //    }
  //  }
}
