
package de.csw.ludum.dare.ld23.util;

public class CheapColor {

  public static final CheapColor BLACK = new CheapColor(0xFF000000);

  public static final CheapColor RED   = new CheapColor(0xFFFF0000);

  public static final CheapColor AQUA  = new CheapColor(0xFF00FFFF);

  public int                     colorIntValue;

  public CheapColor(int color) {
    colorIntValue = color;
  }

  public int getA() {
    return (colorIntValue >>> 24) & 0x000000FF;
  }

  public int getR() {
    return (colorIntValue >>> 16) & 0x000000FF;
  }

  public int getG() {
    return (colorIntValue >>> 8) & 0x000000FF;
  }

  public int getB() {
    return (colorIntValue) & 0x000000FF;
  }

  public static int colorOfARGB(int a, int r, int g, int b) {
    return ((a & 0xFF) << 24) | ((r & 0xFF) << 16) | ((g & 0xFF) << 8) | ((b & 0xFF) << 0);
  }
}
