
package de.csw.ludum.dare.ld23.util;

import java.util.Date;

import de.csw.ludum.dare.ld23.GameOptions;

public class DebugLogger {

  public static String debugMessage = "";

  public static void logInfo(String message) {
    if (GameOptions.SHOW_DEBUG_MESSAGES) {
      System.out.println(message);
    }
  }

  public static void logInfo(String message, Object... args) {
    if (GameOptions.SHOW_DEBUG_MESSAGES) {
      System.out.println(String.format(message, args));
    }
  }

  public static void logColor(int color) {
    CheapColor c = new CheapColor(color);
    String hex = Integer.toHexString(color);
    logInfo("[dez=%d,hex=%s,a=%d,r=%d,g=%d,b=%d]", color, hex, c.getA(), c.getR(), c.getG(), c.getB());
  }

  public static void logInfoWithTimeAndThread(String string) {
    if (GameOptions.SHOW_DEBUG_MESSAGES) {
      System.out.println(new Date().toString() + " (" + Thread.currentThread().getName() + ") " + string);
    }
  }
}
